de.esprit.appsuite.database.dbgui.tool

## Class TableEditLaunch

- java.lang.Object
- - de.esprit.appsuite.launch.AbstractApplicationLaunch<TableEditCFG,TableEditContext>
  - - de.esprit.appsuite.database.dbgui.tool.TableEditLaunch

-     public class TableEditLaunch
      extends AbstractApplicationLaunch<TableEditCFG,TableEditContext>

  This is a editor for editing `DBRecord` instances in a database.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `DO_NOT_EXIT, EXIT_CODE_CLP_ERROR, EXIT_CODE_LAUNCH_ERROR, isTestMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableEditLaunch(java.lang.String[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TableEditCLP` | `createCommandLineParser(java.lang.String[] args)` Creates the CommandLineParser instance for launching the application.
    `protected TableEditContext` | `createContext(TableEditCFG cfg)` Creates the application context from the Config object.
    `protected ZFrame` | `launchMainFrame(TableEditContext ctx)` Must be implemented for running a GUI application.
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationLaunch

      `createSplashIcon, doOnContextCreated, doOnMainFrameCreated, getError, getLaunchedContext, getLaunchedMainFrame, handleCommandLineError, handleLaunchError, hasError, hasGui, launch, launchApplication, setTestMode, showFatalError, showFatalError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableEditLaunch

          public TableEditLaunch(java.lang.String[] args)

  - ### Method Detail

    - #### createCommandLineParser

          protected TableEditCLP createCommandLineParser(java.lang.String[] args)

      Description copied from class: `AbstractApplicationLaunch`
      Creates the CommandLineParser instance for launching the application.
      Specified by:
        `createCommandLineParser` in class `AbstractApplicationLaunch<TableEditCFG,TableEditContext>`

    - #### createContext

          protected TableEditContext createContext(TableEditCFG cfg)
                                            throws java.lang.Exception

      Description copied from class: `AbstractApplicationLaunch`
      Creates the application context from the Config object.
      Specified by:
        `createContext` in class `AbstractApplicationLaunch<TableEditCFG,TableEditContext>`
      Throws:
        `java.lang.Exception`

    - #### launchMainFrame

          protected ZFrame launchMainFrame(TableEditContext ctx)

      Description copied from class: `AbstractApplicationLaunch`
      Must be implemented for running a GUI application. Note that this method is executed within the ET Thread.
      Overrides:
        `launchMainFrame` in class `AbstractApplicationLaunch<TableEditCFG,TableEditContext>`

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.